import socket
import time

UDP_IP = "127.0.0.1"
MY_UDP = 27901
UDP_PORT = 27900

sock = socket.socket(socket.AF_INET, # Internet
                     socket.SOCK_DGRAM) # UDP
sock.bind((UDP_IP, MY_UDP))

MESSAGE = b"\x0127901"

while True:
    print("Sending register/keep alive packet")
    sock.sendto(MESSAGE, (UDP_IP, UDP_PORT))  # simulate register/keepalive packet
    data, addr = sock.recvfrom(1024)  # master server will query server
    print("Received data %s" % data)
    sock.sendto(MESSAGE, addr)  # simulate "status" response
    print("Sending \"status\" reponse")
    time.sleep(30)
